Bug 1032643 - ABRT Updates Often Unsigned
ABRT Updates Often Unsigned
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 09:14 EST by KitchM
Modified: 2015-02-17 14:19 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:19:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example of unsigned files (195.62 KB, image/png)
2013-11-20 09:18 EST, KitchM
no flags Details

  None (edit)
Description KitchM 2013-11-20 09:14:14 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jakub Filak 2013-11-20 09:18:17 EST
Thank you for the report. Please run "yum info abrt" and submit the results here.
Comment 2 KitchM 2013-11-20 09:18:59 EST
Created attachment 826665 [details]
Example of unsigned files
Comment 3 KitchM 2013-11-20 09:20:55 EST
Loaded plugins: aliases, auto-update-debuginfo, changelog, fastestmirror,
              : filter-data, fs-snapshot, keys, langpacks, list-data, merge-
              : conf, post-transaction-actions, priorities, protectbase, ps,
              : puppetverify, refresh-packagekit, refresh-updatesd, remove-with-
              : leaves, rpm-warm-cache, show-leaves, tmprepo, tsflags, upgrade-
              : helper, verify, versionlock
Loading mirror speeds from cached hostfile
 * fedora: ftp.cse.buffalo.edu
 * fedora-debuginfo: ftp.cse.buffalo.edu
 * rpmfusion-free: mirror.web-ster.com
 * rpmfusion-free-debuginfo: mirror.web-ster.com
 * rpmfusion-free-updates: mirror.web-ster.com
 * rpmfusion-free-updates-debuginfo: mirror.web-ster.com
 * rpmfusion-nonfree: mirror.web-ster.com
 * rpmfusion-nonfree-debuginfo: mirror.web-ster.com
 * rpmfusion-nonfree-updates: mirror.web-ster.com
 * rpmfusion-nonfree-updates-debuginfo: mirror.web-ster.com
 * updates: ftp.cse.buffalo.edu
 * updates-debuginfo: ftp.cse.buffalo.edu
0 packages excluded due to repository protections
Installed Packages
Name        : abrt
Arch        : x86_64
Version     : 2.1.9.43.g7f8c.dirty
Release     : 1.fc19
Size        : 1.6 M
Repo        : installed
From repo   : fedora-abrt
Summary     : Automatic bug detection and reporting tool
URL         : https://fedorahosted.org/abrt/
License     : GPLv2+
Description : abrt is a tool to help users to detect defects in applications and
            : to create a bug report with all information needed by maintainer
            : to fix it. It uses  plugin system to extend its functionality.
Comment 4 Jakub Filak 2013-11-20 09:36:29 EST
Please run the following command and submit the results here:

$ yum repolist -v --disablerepo=* --enablerepo=fedora-abrt
Comment 5 KitchM 2013-11-20 13:57:23 EST
Not loading "rhnplugin" plugin, as it is disabled
Loading "aliases" plugin
Loading "auto-update-debuginfo" plugin
Not loading "blacklist" plugin, as it is disabled
Loading "changelog" plugin
Loading "fastestmirror" plugin
Loading "filter-data" plugin
Loading "fs-snapshot" plugin
Loading "keys" plugin
Loading "langpacks" plugin
Loading "list-data" plugin
Loading "merge-conf" plugin
Loading "post-transaction-actions" plugin
Loading "priorities" plugin
Loading "protectbase" plugin
Loading "ps" plugin
Loading "puppetverify" plugin
Loading "refresh-packagekit" plugin
Loading "refresh-updatesd" plugin
Loading "remove-with-leaves" plugin
Loading "rpm-warm-cache" plugin
Loading "show-leaves" plugin
Loading "tmprepo" plugin
Loading "tsflags" plugin
Loading "upgrade-helper" plugin
Loading "verify" plugin
Loading "versionlock" plugin
Not loading "whiteout" plugin, as it is disabled
Adding en_US to language list
Config time: 0.129
Yum version: 3.4.3
rpmdb time: 0.000
Found 109 installed debuginfo package(s)
Loading mirror speeds from cached hostfile
Setting up Package Sacks
0 packages excluded due to repository protections
Reading version lock configuration
pkgsack time: 0.002
Repo-id      : fedora-abrt/19/x86_64
Repo-name    : Nightly builds of ABRT related projects - abrt, libreport,
             : btparser, faf
Repo-revision: 1384951767
Repo-updated : Wed Nov 20 07:49:28 2013
Repo-pkgs    : 82
Repo-size    : 6.9 M
Repo-baseurl : http://repos.fedorapeople.org/repos/abrt/abrt/fedora-19/x86_64/
Repo-expire  : 21,600 second(s) (last: Wed Nov 20 09:05:30 2013)
Repo-filename: ///etc/yum.repos.d/fedora-abrt.repo
Comment 6 KitchM 2013-11-29 09:55:30 EST
Doesn't seem to matter if it is libreport or abrt components.  Always get this error or something similar:
09:50:18 : ERROR: Error in yum Transaction : Package libreport-fedora-2.1.9.37.g2225-1.fc19.x86_64.rpm is not signed
Comment 7 Jakub Filak 2013-11-29 10:07:56 EST
You are using our nightly builds repository and we do not sign any package in that repository. I thought that if you have "gpgcheck=0" line in /etc/yum.repos.d/fedora-abrt.repo file then yum does not requires signed packages.

Please verify that you have gpgcheck disabled for the nightly repository.
Comment 8 KitchM 2013-11-29 10:51:45 EST
Yes, it is disabled.  Evidently, there is still a problem.

But something has changed, because this was not a problem earlier in the year.

Was it yum?
Comment 9 Jakub Filak 2013-11-29 11:10:35 EST
Thank you for your cooperation. I'm reassigning this bug report from 'abrt' to 'yum' in hope that yum folks will shed light to this issue.
Comment 10 KitchM 2013-11-29 12:34:40 EST
Thank you for your help.
Comment 11 Fedora End Of Life 2015-01-09 15:38:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 14:19:38 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.